/* eslint-disable */
import * as commonServices from "@/services/services";
import commonConfig from "@/utils/config";

// 获取AI对话返回数据
const getRobotReply = async content => {
  const errorMessage = "获取AI对话返回数据接口出错";
  const url = `${commonConfig.feedback_host}sysworkorder/robotReply`;
  const { data: result = {} } = await commonServices.postValueService(
    "",
    { content },
    url
  );
  const { code = -1, data, msg = errorMessage } = result;
  if (code > -1) {
    return msg;
  } else {
    message.error(msg);
    return {};
  }
};

export default {
  getRobotReply
};
